*File to generate figures for the case studies

use model2r,clear
*drop observations used for priming
drop in 1/103

sort date
merge date using exrates
label var inc_smooth "Incumbent Vote Intention"
label var v "Exchange Rate Volatility"
label var pashock "Positive Approval Shock"
label var nashock "Negative Approval Shock"
label var pxshock "Unanticipated Depreciation"
label var nxshock "Unanticipated Appreciation"
label var date "Week of"

*replace zero shocks as missing
replace pashock=. if pashock==0
replace nashock=. if nashock==0
replace pxshock=. if pxshock==0
replace nxshock=. if nxshock==0

*Set by date
sort date
gen dum=1 if date==date[_n-1]
drop if dum==1
tsset date


*Exchange Rate Volatility and the 1992 Election
twoway (connected inc_smooth date if tin(01oct1991, 01oct1992), yaxis(1)) (line v date if tin(01oct1991, 01oct1992), yaxis(2)) (scatter pashock date if tin(01oct1991, 01oct1992), msymbol(circle)) (scatter nashock date if tin(01oct1991, 01oct1992), msymbol(triangle)), tline(08apr1992) 
*Exchange Rate Volatility and the 1997 Election
twoway (line v date if tin(23feb1993, 23apr1997), yaxis(1)) (scatter pxshock date if tin(23feb1993, 23apr1997), yaxis(2)  msymbol(circle)) (scatter nxshock date if tin(23feb1993, 23apr1997), msymbol(triangle) yaxis(2))
*Petrol Crisis
twoway (line inc_smooth date if tin(05jan2000, 13jun2001), yaxis(1)) (scatter pxshock date if tin(05jan2000, 13jun2001), yaxis(2)  msymbol(circle)) (scatter nxshock date if tin(05jan2000, 13jun2001), msymbol(triangle) yaxis(2)), tline(01sep2000) tline(01oct2000)


***new petrol crisis
twoway (line inc_smooth date if tin(05jul2000, 01jan2001), yaxis(1)) (scatter pxshock date if tin(05jul2000, 01jan2001), yaxis(2)  msymbol(triangle)) (scatter nxshock date if tin(05jul2000, 01jan2001), msymbol(circle) yaxis(2)), tline(01sep2000) tline(01oct2000) saving(petrol1,replace)
replace uk_us=1/uk_us
label var uk_us "Dollar/Pound Exchange Rate"
twoway (line uk_us date if tin(05jul2000, 01jan2001), yaxis(1)) (scatter nashock date if tin(05jul2000, 01jan2001), msymbol(triangle) yaxis(2)) (scatter pashock date if tin(05jul2000, 01jan2001), yaxis(2)  msymbol(circle)) , tline(01sep2000) tline(01oct2000) saving(petrol2,replace)

graph combine petrol1.gph petrol2.gph, xcommon cols(1)

 

