*model2 tests
capture log close
log using model2.log,replace
use model2r,clear

*drop observations used for priming
drop in 1/103

*approval model

preserve
reg da l.da l2.da l.dx l2.dx l.election l.honeymoon dl.unemp dl.inflat l.pxshock l.nxshock, robust
for var da dx election honeymoon unemp inflat  : sum X \replace X=r(mean)
*no shock
replace pxshock=0
replace nxshock=0
predict xb, xb
predict stdp, stdp
gen hi=xb+1.96*stdp
gen lo=xb-1.96*stdp
sum hi xb lo
drop xb stdp hi lo
*pos shock
replace pxshock=.014
replace nxshock=0
predict xb, xb
predict stdp, stdp
gen hi=xb+1.96*stdp
gen lo=xb-1.96*stdp
sum hi xb lo
drop xb stdp hi lo
*neg shock
replace pxshock=0
replace nxshock=-1.30
predict xb, xb
predict stdp, stdp
gen hi=xb+1.96*stdp
gen lo=xb-1.96*stdp
sum hi xb lo
drop xb stdp hi lo

*Exchange Rate Model
use model2r,clear
drop in 1/103

	#delimit ;
	arch dx l.da l2.da l.dx l2.dx l.emsstep l.postems l.crisis dl.unemp dl.inflat l.pashock l.nashock  , 
	arch(1) garch(1) het(l.emsstep l.postems l.crisis l.pashock l.nashock l.conseq l.ACps l.ACns l.loser l.ALps l.ALns)
	dfp robust nolog; 
	#delimit cr


*Tests of Consequential, Weak and Strong Terms
test [HET]l.ACps [HET]l.ACns [HET]l.conseq
test [HET]l.ALps [HET]l.ALns [HET]l.loser
test [HET]l.pashock [HET]l.nashock


*USE LINCOM to calcualte impact on the conditional variance


*STRONG
*no shock
#delimit ;
lincom 	[HET]l.emsstep*.13 + [HET]l.crisis*.002 + [HET]l.postems*.60 +
		[HET]l.pashock*0 + [HET]l.nashock*0 +
		[HET]l.conseq*0 + [HET]l.ACps*0 + [HET]l.ACns*0 +
		[HET]l.loser*0 + [HET]l.ALps*0 + [HET]l.ALns*0  ;

*positive shock;
lincom 	[HET]l.emsstep*.13 + [HET]l.crisis*.002 + [HET]l.postems*.60 +
		[HET]l.pashock*1.28 + [HET]l.nashock*0 +
		[HET]l.conseq*0 + [HET]l.ACps*0 + [HET]l.ACns*0 +
		[HET]l.loser*0 + [HET]l.ALps*0 + [HET]l.ALns*0  ;

*negative shock;
lincom 	[HET]l.emsstep*.13 + [HET]l.crisis*.002 + [HET]l.postems*.60 +
		[HET]l.pashock*0 + [HET]l.nashock*-1.40 +
		[HET]l.conseq*0 + [HET]l.ACps*0 + [HET]l.ACns*0 +
		[HET]l.loser*0 + [HET]l.ALps*0 + [HET]l.ALns*0  ;


*CONSEQ;
*no shock;
lincom 	[HET]l.emsstep*.13 + [HET]l.crisis*.002 + [HET]l.postems*.60 +
		[HET]l.pashock*0 + [HET]l.nashock*0 +
		[HET]l.conseq*1 + [HET]l.ACps*0 + [HET]l.ACns*0 +
		[HET]l.loser*0 + [HET]l.ALps*0 + [HET]l.ALns*0  ;

*positive shock;
lincom 	[HET]l.emsstep*.13 + [HET]l.crisis*.002 + [HET]l.postems*.60 +
		[HET]l.pashock*1.28 + [HET]l.nashock*0 +
		[HET]l.conseq*1 + [HET]l.ACps*1.28 + [HET]l.ACns*0 +
		[HET]l.loser*0 + [HET]l.ALps*0 + [HET]l.ALns*0  ;

*negative shock;
lincom 	[HET]l.emsstep*.13 + [HET]l.crisis*.002 + [HET]l.postems*.60 +
		[HET]l.pashock*0 + [HET]l.nashock*-1.40 +
		[HET]l.conseq*1 + [HET]l.ACps*0 + [HET]l.ACns*-1.28 +
		[HET]l.loser*0 + [HET]l.ALps*0 + [HET]l.ALns*0  ;


*LOSER;
*no shock;
lincom 	[HET]l.emsstep*.13 + [HET]l.crisis*.002 + [HET]l.postems*.60 +
		[HET]l.pashock*0 + [HET]l.nashock*0 +
		[HET]l.conseq*0 + [HET]l.ACps*0 + [HET]l.ACns*0 +
		[HET]l.loser*0 + [HET]l.ALps*0 + [HET]l.ALns*0  ;

*positive shock;
lincom 	[HET]l.emsstep*.13 + [HET]l.crisis*.002 + [HET]l.postems*.60 +
		[HET]l.pashock*1.28 + [HET]l.nashock*0 +
		[HET]l.conseq*0 + [HET]l.ACps*0 + [HET]l.ACns*0 +
		[HET]l.loser*1 + [HET]l.ALps*1.28 + [HET]l.ALns*0  ;

*negative shock;
lincom 	[HET]l.emsstep*.13 + [HET]l.crisis*.002 + [HET]l.postems*.60 +
		[HET]l.pashock*0 + [HET]l.nashock*-1.40 +
		[HET]l.conseq*0 + [HET]l.ACps*0 + [HET]l.ACns*0 +
		[HET]l.loser*1 + [HET]l.ALps*0 + [HET]l.ALns*-1.40  ;
	



