*****graphs

*UK/Dollar Exchange Rate
use exrates,clear
label var date "Date"
tsset date
gen crisis=0
replace crisis=1 if tin(11sep1992, 17sep1992)
gen ems=0
replace ems=1 if tin(13oct1990, 17sep1992)
label var crisis "EMS Crisis"
label var ems "Member of the EMS"
label var uk_us "Dollar/Pound Exchange Rate"
label var date "Date"
twoway (spike ems date, sort lcolor(gs12)) (line uk_us date, yaxis(2)), title(Dollar/Pound Exchange Rate) saving(figure1, replace)


*Vote Intention
use model1,clear
label var date "Date"
label var inc_smooth "Vote Intention for Incumbent"
twoway (line inc_smooth date), yline(35  45) title(Vote Intention for Incumbent Party) saving(figure2, replace)

*Shocks from sureg
drop in 1/102
replace pxshock=. if pxshock==0
replace nxshock=. if nxshock==0
label var pxshock "Unanticipated Depreciation"
label var nxshock "Unanticipated Appreciation"
twoway (scatter pxshock date , yline(0) msymbol(circle)) (scatter nxshock date , msymbol(triangle)), title(Non-Zero Exchange Rate Shocks) subtitle(Based on SUREG Model) saving(sxshock,replace)

label var pashock "Positive Approval Shock"
label var nashock "Negative Approval Shock"
replace pashock=. if pashock==0
replace nashock=. if nashock==0
twoway (scatter pashock date , yline(0) msymbol(circle)) (scatter nashock date , msymbol(triangle)), title(Non-Zero Approval Shocks) subtitle(Based on SUREG Model) saving(sashock,replace)


*Shocks from SUREG
use model2r,clear
drop in 1/102
label var date "Date"
label var pashock "Positive Approval Shock"
label var nashock "Negative Approval Shock"
label var pxshock "Unanticipated Depreciation"
label var nxshock "Unanticipated Appreciation"
for var pashock nashock pxshock nxshock: replace X=. if X==0
twoway (scatter pxshock date , yline(0) msymbol(circle)) (scatter nxshock date , msymbol(triangle)), title(Non-Zero Exchange Rate Shocks) subtitle(Based on GARCH Model) saving(gxshock,replace)
twoway (scatter pashock date , yline(0) msymbol(circle)) (scatter nashock date , msymbol(triangle)), title(Non-Zero Approval Shocks) subtitle(Based on Robust Regression) saving(gashock,replace)

graph combine sxshock.gph gxshock.gph, cols(1) xcommon title(Exchange Rate Shocks)  ycommon saving(xrate_shocks,replace)
graph combine sashock.gph gashock.gph, cols(1) xcommon title(Approval Shocks) ycommon saving(approval_shocks, replace)


***new graphs
*raw series
graph combine figure1.gph figure2.gph, cols(1) xcommon saving(raw_series,replace)
*shocks
graph combine gashock.gph gxshock.gph, cols(1) xcommon  saving(shocks,replace)



